API DocumentationComputers
VM dashboard summary
Aggregated VM counts and status for the dashboard.
Authorization
bearer_auth AuthorizationBearer <token>
OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Query Parameters
project_id*string
ID of the project used to filter results.
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X GET "https://example.com/v1/vms-dashboard-info?project_id=default"{ "vms": 12, "k8s_nodes": 3, "regions": 2, "projects": 1, "running_vms": 8, "stopped_vms": 4}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}